### Virtual Method

# Foundry LlmConversation list_history

#### Declaration [src]

    GListModel*
    list_history (
      FoundryLlmConversation* self
    )

#### Description [src]

List the available history of the conversation.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryLlmMessage`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.